/* Fonts */
@import url("https://use.typekit.net/fzd3gyu.css");

:root {
    --clr--dark--blue: 16, 25, 32;
    --clr--white: 255, 255, 255;
    --clr--green: 0, 206, 165;
}

html,
body {
    margin: 0;
    padding: 0;
    font-size: clamp(15px, 0.9vw, 21px);
    line-height: 1.2;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
    font-family: quiet-sans, sans-serif;
}

/* Scrollbar */
::-webkit-scrollbar {
    width: 0.5em;
}

::-webkit-scrollbar-track {
    background: rgba(var(--clr--white), .5);
    box-shadow: inset 2px 2px 3px rgba(rgb(var(--clr--dark--blue)), 0.4);
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

::-webkit-scrollbar-thumb {
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
    background: rgb(var(--clr--green));
    box-shadow: inset 0px 0px 8px rgba(var(--clr--dark--blue), 0.4);
}

/* Fonts */
.fw100 {
    font-weight: 100;
}

.fw200 {
    font-weight: 200;
}

.fw300 {
    font-weight: 300;
}

.fw400 {
    font-weight: 400;
}

.fw500 {
    font-weight: 500;
}

.fw600 {
    font-weight: 600;
}

.fw700,
strong {
    font-weight: 700;
}

.fw800 {
    font-weight: 800;
}

.fw900 {
    font-weight: 900;
}

/* Input Fields */
input[type="text"],
input[type="password"],
input.form-control,
textarea {
    font-size: 16px !important;
    line-height: 1.3 !important;
    width: 100% !important;
    padding: 8px 10px !important;
    border: 1px solid rgba(var(--clr--dark--blue), .1) !important;
}

input[type="text"]:focus,
input[type="text"]:focus-visible,
input[type="password"]:focus,
input[type="password"]:focus-visible,
input.form-control:focus,
input.form-control:focus-visible,
textarea:focus,
textarea:focus-visible {
    border: 1px solid rgb(var(--clr--green)) !important;
    outline: 0 !important;
}

/* Corrections */
div:is(:empty) {
    padding: 0;
    margin: 0;
}

.cmm-have-your-say--form .cmm-have-your-say-footer .footer-copy p:nth-last-of-type(1),
.cmm-mp--form .cmm-mp-footer .footer-copy p:nth-last-of-type(1),
.cmm-petition-signup--form .cmm-petition-footer .footer-copy p:nth-last-of-type(1) {
    margin: 0;
}

span.seperator {
    padding: 15px;
    display: block;
}

/* Header */
header#header {
    background: rgb(var(--clr--dark--blue));
    margin-bottom: 35px;
}

header#header a.logo {
    width: 100px;
    display: block;
}

header#header a.logo img {
    width: 100%;
}

header#header .navbar {
    justify-content: space-between;
    gap: 25px;
}

/* Navigation */
ul.header-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

ul.header-menu li {
    position: relative;
}

ul.header-menu a {
    color: rgb(var(--clr--white));
    font-weight: 500;
    text-decoration: none;
    padding: 10px 20px;
    display: block;
    position: relative;
}

ul.header-menu li.current-menu-parent a,
ul.header-menu li.current-menu-item a,
ul.header-menu a:hover {
    color: rgb(var(--clr--green));
}

ul.header-menu ul.sub-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    position: absolute;
    top: 100%;
    left: 0;
    width: 240px;
    background: rgb(var(--clr--white));
    display: none;
    overflow: hidden;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    box-shadow: 0px 0px 12px 0px rgba(var(--clr--dark--blue),0.2);
    -webkit-box-shadow: 0px 0px 12px 0px rgba(var(--clr--dark--blue),0.2);
    -moz-box-shadow: 0px 0px 12px 0px rgba(var(--clr--dark--blue),0.2);
    -ms-box-shadow: 0px 0px 12px 0px rgba(var(--clr--dark--blue),0.2);
    -o-box-shadow: 0px 0px 12px 0px rgba(var(--clr--dark--blue),0.2);
}

ul.header-menu li:hover ul.sub-menu {
    display: block;
}

ul.header-menu ul.sub-menu li {
    position: relative;
}

ul.header-menu ul.sub-menu a {
    color: rgb(var(--clr--dark--blue));
    padding: 10px 20px;
    display: block;
    position: relative;
    border-bottom: 1px solid rgba(var(--clr--dark--blue),.1);
}

ul.header-menu ul.sub-menu li:nth-last-child(1) a {
    border-bottom: 0;
}

ul.header-menu ul.sub-menu a:hover {
    background-color: rgb(var(--clr--green));
}

ul.side-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.side-menu li {
    position: relative;
}

ul.side-menu a {
    color: rgb(var(--clr--dark--blue));
    font-weight: 500;
    text-align: center;
    text-decoration: none;
    background-color: rgba(var(--clr--dark--blue),.1);
    padding: 10px;
    display: block;
    position: relative;
    border-top: 1px solid rgba(var(--clr--dark--blue),.1);
}

ul.side-menu li:first-child a {
    border-top: 0;
}

ul.side-menu li.current-menu-item a,
ul.side-menu a:hover,
body.home ul.side-menu li:first-child a {
    color: rgb(var(--clr--dark--blue));
    background-color: rgb(var(--clr--green));
}

ul.documentation-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.documentation-menu li {
    position: relative;
}

ul.documentation-menu a {
    color: rgb(var(--clr--dark--blue));
    font-weight: 500;
    text-decoration: none;
    background-color: rgba(var(--clr--dark--blue),.1);
    padding: 10px;
    display: block;
    position: relative;
    border-top: 1px solid rgba(var(--clr--dark--blue),.1);
}

ul.documentation-menu a:before {
    content: "\f15c";
    font-family: "Font Awesome 5 Free";
    font-size: 16px;
    font-weight: 400;
    color: var(--quaternary--color);
    margin-left: 10px;
    margin-right: 15px;
}

ul.documentation-menu li:first-child a {
    border-top: 0;
}

ul.documentation-menu li.current-menu-item a,
ul.documentation-menu a:hover {
    color: rgb(var(--clr--dark--blue));
    background-color: rgba(var(--clr--dark--blue), .15);
}

/* Mobile Navigation */
button.menu-toggler {
    background: transparent;
    border: none;
}

span.menu-icon {
    background-color: rgb(var(--clr--white));
    width: 32px;
    height: 3px;
    margin: 6px 0;
    display: block;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
}

/* Common Body */
main#primary article,
.page-template-documentation-page article,
section#error--sec,
body.single-post article {
    min-height: calc(100vh - 231px);
}

main#primary article .entry-title,
.page-template-documentation-page article .entry-title,
body.single-post article .entry-title {
    padding-bottom: 20px;
    margin-top: 0;
    margin-bottom: 35px;
    border-bottom: 1px solid rgba(var(--clr--dark--blue),.1);
}

body.home header.entry-header {
    display: none;
}

/* Titles */
body.home .entry-content .sub-titles {
    max-width: 600px;
    padding-bottom: 15px;
    margin: 50px auto 25px;
    border-bottom: 1px solid rgba(var(--clr--dark--blue), .1);
}

body.home .entry-content .sub-titles:nth-of-type(1) {
    margin-top: 0;
}

/* User Login Form */
.login-form-container {
    min-height: calc(100vh - 231px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-form-container form#loginform {
    width: 100%;
    max-width: 390px;
    background: rgb(240, 240, 241);
    margin-left: 0;
    padding: 25px;
    border: 1px solid rgba(var(--clr--dark--blue),.1);
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    box-shadow: 0 1px 3px rgba(var(--clr--dark--blue),.1);
    -webkit-box-shadow: 0 1px 3px rgba(var(--clr--dark--blue),.1);
    -moz-box-shadow: 0 1px 3px rgba(var(--clr--dark--blue),.1);
    -ms-box-shadow: 0 1px 3px rgba(var(--clr--dark--blue),.1);
    -o-box-shadow: 0 1px 3px rgba(var(--clr--dark--blue),.1);
}

.login-form-container form#loginform label {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.login-form-container form#loginform .forgetmenot label {
    display: block;
}

.login-form-container form#loginform > div {
    margin-block: 15px;
}

.login-form-container form#loginform > div:first-child {
    margin-top: 0;
}

.login-form-container form#loginform > div:nth-last-of-type(1) {
    margin-bottom: 0;
}

.login-form-container form#loginform input#wp-submit {
    color: rgb(var(--clr--white));
    width: 100%;
    text-align: center;
    background-color: rgb(var(--clr--dark--blue));
    padding: 10px;
    border: 0;
}

/* Forms */
body.page-id-20 article .entry-title,
body.page-id-23 article .entry-title,
body.page-id-27 article .entry-title,
body.page-id-191 article .entry-title {
    text-align: center;
    max-width: 600px;
    margin-inline: auto;
}

/* Error Page */
.error-title {
    font-size: 90px;
    font-weight: 700;
    line-height: 1;
}

.error--btn {
    color: rgb(var(--clr--white));
    font-weight: 500;
    background: rgb(var(--clr--dark--blue));
    width: 100%;
    max-width: 360px;
    margin-inline: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.error--btn:hover {
    color: rgb(var(--clr--dark--blue));
    background: rgb(var(--clr--green));
}

/* Footer */
div#landing_footer {
    background-color: rgb(var(--clr--dark--blue));
    padding: 20px 0px;
    margin-top: 35px;
}

.footer--copyright.text-center {
    color: rgb(var(--clr--white));
}

.footer--copyright.text-center a {
    color: currentColor;
    font-weight: 500;
    display: inline-block;
}

.footer--copyright.text-center a:hover {
    color: rgb(var(--clr--green));
}